Hello there! Welcome to Youjoomla Support Forums

We are Web Development Company specializing in Joomla Templates , Joomla Extensions and WordPress Themes development . You are not able to see some forum threads due to your memberhip level. To unlock all forums and special customer support please take few moments to signup . If you are just searching for free joomla templates , or free joomla extension support simply head to our Free Joomla Support forums and open a new thread. Our moderators will help you as soon as possible. To spead up the response time please take few seconds and go over forum rules

Have fun!

can sportrank use php 7

12-04-2018, 05:18 AM
# 11 (permalink)
kimberleym

aha

1. so i upgrade "YJSG Joomla Template Framework plugin"
2. i upgrade joomla to 1.6
3. upgrade php7

is that right?
12-05-2018, 05:13 AM
# 12 (permalink)
kimberleym

Hi Neo.

i updated the framework and joomla to 3.6.5 and php 7.1 i get these errors on the page:

Code:

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Yjsgcolor has a deprecated constructor in /home/schartauphp7/public_html/templates/sportranks/yjsgcore/lib/yjsg_color.php on line 43

Code:

Helper::modYJLiveSearchItems() should not be called statically in /home/schartauphp7/public_html/modules/mod_yj_live_search/mod_yj_live_search.php on line 49

Code:

Deprecated: Non-static method YJMediaSliderHelper::YJMediaSliderItems() should not be called statically in /home/schartauphp7/public_html/modules/mod_yj_media_slider/mod_yj_media_slider.php on line 26

Code:

Deprecated: Non-static method YJmeHelp::YJmeItems() should not be called statically in /home/schartauphp7/public_html/modules/mod_yj_newsflash5/mod_yj_newsflash5.php on line 67
12-05-2018, 07:18 AM
# 14 (permalink)
neo
also all modules that you have should be updated.
I tested template on my end it works fine on 7.x
will update demo today for 3.9.x but all in all everything works n our demo site
which is php7
12-05-2018, 07:20 AM
# 15 (permalink)
neo
The way to update from joomla before 3.6.5 is

Update Joomla to 3.6.5 while on php 5.x
Update all templates and extensions
Update Joomla to 3.9.1
Switch to php7.x
12-05-2018, 08:57 AM
# 16 (permalink)
neo
all tested ,
there were few modules notices in the demo but reinstall modules fixes those.
I updated the demo to latest J 3.9.x install and everything works fine.
12-05-2018, 01:36 PM
# 17 (permalink)
kimberleym

Hi Neo,

i did exactly like that and i have some modules not working now, where do i find them? will the modules keep the existing settings after reinstall?
12-06-2018, 03:18 AM
# 19 (permalink)
kimberleym

Hi Neo,

as i only want to update 3 extensions what is cheapest package?

Warm regards K
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Powered by vBulletin®
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.

Members Login

Username
Password